package org.bench4q.share.models.agent;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "parameter")
public class ParameterModel {
	private String key;
	private String value;

	@XmlElement
	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	@XmlElement
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public static ParameterModel createParameter(String key, String value) {
		ParameterModel parameterModel = new ParameterModel();
		parameterModel.setKey(key);
		parameterModel.setValue(value);
		return parameterModel;
	}
}
